Support 支援

I cannot download or update XRSPACE App.

If you're experiencing issues downloading XRSPACE App, make sure you are using a support phone, then try downloading the app from Google Play or App Store by searching for XRSPACE.

The minimum OS requirements for phones to run XRSPACE App are iOS 13.0 or above; Android 7.0 or above.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Articles in this section

See more